Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.protocol.fgjdbc
Class FgjdbcShare

    java.lang.Object
      |
      +--com.macromedia.generator.protocol.fgjdbc.FgjdbcShare

All Implemented Interfaces:
  java.lang.Runnable

public class FgjdbcShare
extends java.lang.Object
implements java.lang.Runnable

Constructor Summary
`protected` | `FgjdbcShare()`

Method Summary
`(package private) static void` | `()`
`protected void` | `finalize()`
`java.sql.Connection` | `getConnection(java.lang.String s, java.lang.String s1, java.lang.String s2, java.lang.String s3, boolean flag, int i, int j, java.io.PrintWriter printwriter)`
`static FgjdbcShare` | `getShare()`
`void` | `releaseConnection(java.lang.String s, java.sql.Connection connection)`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FgjdbcShare

    protected FgjdbcShare()

Method Detail

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`

### getConnection

    public java.sql.Connection getConnection(java.lang.String s,
                                             java.lang.String s1,
                                             java.lang.String s2,
                                             java.lang.String s3,
                                             boolean flag,
                                             int i,
                                             int j,
                                             java.io.PrintWriter printwriter)

### getShare

    public static FgjdbcShare getShare()

### releaseConnection

    public void releaseConnection(java.lang.String s,
                                  java.sql.Connection connection)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

###

    static void ()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD